darcs

Issue 2411 whatsnew --look-for-moves takes ages to complete

Title whatsnew --look-for-moves takes ages to complete
Priority Status resolved
Milestone 2.10.0 Resolved in 2.10.0
Superseder Nosy List bf, jlneder
Assigned To
Topics

Created on 2014-11-08.20:13:45 by bf, last changed 2015-02-12.18:55:10 by noreply.

Messages
msg17759 (view) Author: bf Date: 2014-11-08.20:13:44
1. Summarise the issue (what were doing, what went wrong?)

For instance, in the darcs repo (with no changes)

ben@sarun[1]: .../darcs/screened > time darcs whatsnew --look-for-moves
^CwithSignalsHandled: Interrupted!

darcs whatsnew --look-for-moves  71,03s user 0,25s system 99% cpu
1:11,58 total

2. What behaviour were you expecting instead?

It should complete in a reasonable amount of time or at least tell me
that the operation might take a long time.

3. What darcs version are you using? (Try: darcs --exact-version)

The latest from screened.
msg18107 (view) Author: noreply Date: 2015-02-12.18:55:09
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue Issue2411 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve Issue2411: ignore swap moves with --look-for-moves 
Ignore-this: be5d59ee9df126dacf4e2cb0687e5b98
it was an extreme case anyway, and it made move detection
very slow in common cases
History
Date User Action Args
2014-11-08 20:13:45bfcreate
2014-11-18 10:36:49ghsetnosy: + jlneder
milestone: 2.10.0
2014-12-13 23:51:07ghlinkpatch1244 issues
2015-02-12 18:55:10noreplysetstatus: unknown -> resolved
messages: + msg18107
resolvedin: 2.10.0